# -*- coding: utf-8 -*-

from djadmin import ExportExcelModelAdmin, ReadonlyModelAdmin
from django.contrib import admin

from codes.models import CourseCodeInfo


class CourseCodeInfoAdmin(ExportExcelModelAdmin, admin.ModelAdmin):
    list_display = ('code', 'exchanged', 'user_id', 'status', 'created_at', 'updated_at')
    list_filter = ('exchanged', 'status')


admin.site.register(CourseCodeInfo, CourseCodeInfoAdmin)
